## python-openapi-schema-validator 0.6.2

=== debian/changelog ===
python-openapi-schema-validator (0.6.2-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Jul 2024 20:17:52 +0100

python-openapi-schema-validator (0.6.2-1) unstable; urgency=medium

  * Initial upload (closes: #1073494)

 -- Julian Gilbey <jdg@debian.org>  Thu, 27 Jun 2024 21:36:32 +0100

## python-openapi-schema-validator 0.6.3

=== Makefile ===
.EXPORT_ALL_VARIABLES:

PROJECT_NAME=openapi-schema-validator
PACKAGE_NAME=$(subst -,_,${PROJECT_NAME})
VERSION=`git describe --abbrev=0`

PYTHONDONTWRITEBYTECODE=1

params:
	@echo "Project name: ${PROJECT_NAME}"
	@echo "Package name: ${PACKAGE_NAME}"
	@echo "Version: ${VERSION}"

dist-build:
	@poetry build

dist-cleanup:
	@rm -rf build dist ${PACKAGE_NAME}.egg-info

dist-upload:
	@poetry publish

test-python:
	@pytest

test-cache-cleanup:
	@rm -rf .pytest_cache

reports-cleanup:
	@rm -rf reports

test-cleanup: test-cache-cleanup reports-cleanup

docs-html:
	sphinx-build -b html docs docs/_build

docs-cleanup:
	@rm -rf docs/_build

cleanup: dist-cleanup test-cleanup

release/patch:
	@bump2version patch

release/minor:
	@bump2version minor

release/major:
	@bump2version major

=== debian/changelog ===
python-openapi-schema-validator (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Jan 2025 15:21:10 +0000

python-openapi-schema-validator (0.6.2-3) unstable; urgency=medium

  * Team upload.
  * Stop calling sphinx_rtd_theme.get_html_theme_path (closes: #1087788).

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Nov 2024 23:55:39 +0100

=== debian/control ===
Source: python-openapi-schema-validator
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>,
           Andrius Merkys <merkys@debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.0
Homepage: https://github.com/python-openapi/openapi-schema-validator
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-jsonschema,
               python3-jsonschema-specifications,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-rfc3339-validator,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-openapi-schema-validator.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-openapi-schema-validator
Rules-Requires-Root: no
Description: Validate schema against the OpenAPI Schema Specifications
 This Python module validates schema against the OpenAPI Schema Specification
 version 3.0 or 3.1.

Package: python3-openapi-schema-validator
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-openapi-schema-validator-doc
Multi-Arch: foreign
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the module for Python 3.

Package: python-openapi-schema-validator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-openapi-schema-validator
Multi-Arch: foreign
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = openapi-schema-validator
export PYBUILD_AFTER_INSTALL = rm -rf {destdir}/{install_dir}/.coverage {destdir}/{install_dir}/reports

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$$(pwd) sphinx-build -W -b html docs docs/_build/html
endif

override_dh_installdocs:
	dh_installdocs -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installdocs --remaining-packages

execute_after_dh_auto_clean:
	rm -rf docs/_build

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/python-openapi/openapi-schema-validator/tags?per_page=100 \
    https://api.github.com/repos/python-openapi/openapi-schema-validator/tarball/refs/tags/@ANY_VERSION@
